<?php namespace Tps\Shops\Updates;

use Schema;
use October\Rain\Database\Updates\Migration;

class BuilderTableCreateTpsShopsRentalsAndSales extends Migration
{
    public function up()
    {
        Schema::create('tps_shops_rentals_and_sales', function($table)
        {
            $table->engine = 'InnoDB';
            $table->increments('id')->unsigned();
            $table->string('type');
            $table->string('name')->nullable();
            $table->string('number')->nullable();
            $table->integer('floor');
            $table->string('sector')->nullable();
            $table->text('description')->nullable();
            $table->timestamp('created_at')->nullable();
            $table->timestamp('updated_at')->nullable();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('tps_shops_rentals_and_sales');
    }
}
